---
layout: job_page
title: "Support Lead"
---

As the Support Lead, you will take overall responsibility for making sure that GitLab's customers receive an excellent support experience. This involves leading from within, jumping in on tickets when needed but spending the majority of your time determining and implementing the best strategies to measure and improve team performance, and interface with Sales, Customer Success, Development, and the rest of the GitLab team.

The majority of our current customer base is in the Americas, and the Support Lead will be expected to respond to (or coordinate the team to respond to) sometimes unpredictable customer requests. For this reason, we are currently seeking candidates who are committed to working business hours aligned with the Americas time zones.


## Responsibilities

- Build and lead the team of Support Engineers by actively seeking and hiring globally distributed talent
- Lead team meetings, conduct 1:1's, and continuously improve the onboarding and training process / experience.
- Fully capable and excited to step into the role of a [Support Engineer](https://about.gitlab.com/jobs/support-engineer) when needed.
- Develop and implement data-driven tactics to deliver on the strategic goals for Support, as set out on the overall team's [strategy](https://about.gitlab.com/strategy/) page as well as outlined in the [direction for Support](https://about.gitlab.com/handbook/support/#support-direction).
- Develop and use various analytics to review the Support Engineering team performance - from individual to group - and adjust processes or provide mentorship as needed to improve performance and enjoyment.
- Organize and maintain the [on-call schedule](https://about.gitlab.com/handbook/on-call/) for customer emergencies.
- Construct and monitor metrics to maintain customer and user SLA's, and customer experience.
- Ensure that creation and maintenance of documentation, training materials, and other references are a natural part of the Support Engineering workflow.
- Handle the interfaces between the Support organization and Sales, Development, Customer Success, and the rest of the GitLab team.

## Requirements

- 5 years or more experience in Support in a leadership role
- Vast experience with Zendesk, and its features around Insights, integrations with SalesForce, etc.
- Above average knowledge of Unix and Unix based Operating Systems
- Vast experience with Ruby on Rails Applications and git
- Affinity for (and experience with) providing customer support
- Excellent spoken and written English
- You share our [values](/handbook/values), and work in accordance with those values
- [A technical interview](/handbook/hiring/technical) is part of the hiring process for this position.
- A customer scenario interview is part of the hiring process for this position.
- Successful completion of a [background check](/handbook/people-operations/#background-checks).


## Hiring Process

Applicants for this position can expect the hiring process to follow the order below. Please keep in mind that applicants can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find her/his job title on our [team page](/team).

* Qualified applicants receive a questionnaire from our Global Recruiters
* Selected candidates will be invited to schedule a [screening call](/handbook/hiring/#screening-call) with our Global Recruiters
* Next, candidates will be invited to schedule a first interview with a Support Engineer
* Candidates will then be invited to schedule an interview with our Interim Support Lead
* Candidates will be invited to schedule a third interview with our VP of Engineering
* Finally, candidates will interview with our CEO
* Successful candidates will subsequently be made an offer via email


<%= partial "includes/apply_and_about" %>



**NOTE** In the compensation calculator below, fill in "Lead" in the `Level` field for this role.
